%define name	autoconf
%define version	2.63
%define release %mkrel 1

%define docheck 1
%{?_without_check: %global docheck 0}

Name:		%{name}
Summary:	A GNU tool for automatically configuring source code
Version:	%{version}
Release:	%{release}
Epoch:		1
License:	GPLv2+ with exceptions
Group:		Development/Other
URL:		http://www.gnu.org/software/autoconf/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot/
BuildArch:	noarch

Source:		ftp://ftp.gnu.org/gnu/autoconf/autoconf-%{version}.tar.bz2
Source1:	autoconf-site-start.el
Patch0:		autoconf-2.62-fix-multiline-string.patch
Requires(post):	info-install
Requires(preun):	info-install
BuildRequires:	texinfo m4
BuildRequires:	help2man
Requires:	m4 mktemp
Obsoletes:	autoconf2.5
Provides:	autoconf2.5 = %{epoch}:%{version}-%{release}
Conflicts:	autoconf2.1 < 1:2.13-26

# for tests
%if %docheck
BuildRequires:	flex
BuildRequires:	bison
%endif

%description
GNU's Autoconf is a tool for configuring source code and Makefiles.
Using Autoconf, programmers can create portable and configurable
packages, since the person building the package is allowed to 
specify various configuration options.

You should install Autoconf if you are developing software and you'd
like to use it to create shell scripts which will configure your 
source code packages. If you are installing Autoconf, you will also
need to install the GNU m4 package.

Note that the Autoconf package is not required for the end user who
may be configuring software with an Autoconf-generated script; 
Autoconf is only required for the generation of the scripts, not
their use.

%prep
%setup -q -n autoconf-%{version}
%patch0 -p1 -b .multiline

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

# We don't want to include the standards.info stuff in the package,
# because it comes from binutils...
rm -f $RPM_BUILD_ROOT%{_infodir}/standards*

# emacs stuff
install -D -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/emacs/site-start.d/%{name}.el

# if emacs-bin was not here, *.el and *.elc files will be missing - install *.el files anyway
if [ ! -d $RPM_BUILD_ROOT/%{_datadir}/emacs/site-lisp ]; then
	mkdir -p $RPM_BUILD_ROOT/%{_datadir}/emacs/site-lisp
	install -m644 lib/emacs/*.el $RPM_BUILD_ROOT/%{_datadir}/emacs/site-lisp
fi

%if %docheck
%check
make check	# VERBOSE=1
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post
%_install_info autoconf.info

%preun
%_remove_install_info autoconf.info

%files
%defattr(-,root,root)
%doc AUTHORS BUGS ChangeLog* COPYING INSTALL NEWS README THANKS TODO
%config(noreplace) %{_sysconfdir}/emacs/site-start.d/*.el
%{_bindir}/*
%{_datadir}/autoconf
%{_datadir}/emacs/site-lisp/*.el*
%{_infodir}/*
%{_mandir}/*/*


%changelog
* Fri Sep 12 2008 Funda Wang <fundawang@mandriva.org> 1:2.63-1mdv2009.0
+ Revision: 284016
- New version 2.63

* Wed Aug 06 2008 Thierry Vignaud <tvignaud@mandriva.com> 1:2.62-3mdv2009.0
+ Revision: 264324
- rebuild early 2009.0 package (before pixel changes)

* Sat Apr 19 2008 Per Øyvind Karlsen <peroyvind@mandriva.org> 1:2.62-2mdv2009.0
+ Revision: 195751
- parallel build works now, so let's reenable it!
- make oden a happy camper (aka fix bug with multine variables that br0ke build of mysql, php etc., P0)

* Wed Apr 16 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1:2.62-1mdv2009.0
+ Revision: 194448
- new version

* Fri Jan 11 2008 Thierry Vignaud <tvignaud@mandriva.com> 1:2.61-7mdv2008.1
+ Revision: 148881
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Fri Sep 21 2007 Pixel <pixel@mandriva.com> 1:2.61-6mdv2008.0
+ Revision: 91811
- conflict on autoconf2.1 must include its epoch

* Thu Aug 23 2007 Thierry Vignaud <tvignaud@mandriva.com> 1:2.61-5mdv2008.0
+ Revision: 69351
- kill file require on info-install

* Wed Jun 20 2007 Anssi Hannula <anssi@mandriva.org> 1:2.61-4mdv2008.0
+ Revision: 41869
- add conflict with old autoconf2.1 to ensure smooth upgrade

* Thu Jun 14 2007 Christiaan Welvaart <spturtle@mandriva.org> 1:2.61-3mdv2008.0
+ Revision: 39545
- rename to autoconf
- drop wrapper script
- rename autoconf2.5 to autoconf

  + David Walluck <walluck@mandriva.org>
    - include other documentation in addition to just README in %%doc
    - move make check to %%check

